Rapid7 Vulnerability & Exploit Database

Ubuntu: USN-4672-1 (CVE-2018-18384): unzip vulnerabilities

Back to Search

Ubuntu: USN-4672-1 (CVE-2018-18384): unzip vulnerabilities

Severity
4
CVSS
(AV:N/AC:M/Au:N/C:N/I:N/A:P)
Published
10/16/2018
Created
12/18/2020
Added
12/17/2020
Modified
06/10/2021

Description

Info-ZIP UnZip 6.0 has a buffer overflow in list.c, when a ZIP archive has a crafted relationship between the compressed-size value and the uncompressed-size value, because a buffer size is 10 and is supposed to be 12.

Solution(s)

  • ubuntu-upgrade-available
  • ubuntu-upgrade-desktop
  • ubuntu-upgrade-infra
  • ubuntu-upgrade-unzip

With Rapid7 live dashboards, I have a clear view of all the assets on my network, which ones can be exploited, and what I need to do in order to reduce the risk in my environment in real-time. No other tool gives us that kind of value and insight.

– Scott Cheney, Manager of Information Security, Sierra View Medical Center

;